darcs patch: GenT monad transformer variant of Gen (QuickCheck 2)

Ian Lynagh igloo at earth.li
Sun Aug 12 18:10:51 EDT 2007

On Sun, Aug 12, 2007 at 11:00:47PM +0100, Duncan Coutts wrote:
> My concrete example is that I submitted patches to make Gen an instance
> of Applicative but was told this wasn't ok since it needed to remain
> compatible with ghc-6.2 or something.

You could do this with ifdefs.

> IMOH, if it's part of the core set of packages it should be ok to depend
> on those packages.

It's not a core package as far as GHC is concerned.


More information about the Libraries mailing list